FREEFOAM-DECOMPOSEPAR(1)

NAME
freefoam-decomposePar - Automatically decomposes a mesh and fields of a case for parallel execution of OpenFOAM.

SYNOPSIS

freefoam decomposePar [-force] [-region] [-ifRequired] [-help] [-copyUniform] [-fields] [-cellDist] [-srcDoc] [-doc] [-case <dir>] [-filterPatches]

DESCRIPTION

TODO write detailed description

OPTIONS

-cellDist
    Write the cell distribution as a labelList for use with manual decomposition method and as a volScalarField for post-processing.

-region
    Decompose named region. Does not check for existence of processor*.

-copyUniform
    Copy any uniform directories too.

-fields
    Use existing geometry decomposition and convert fields only.

-filterPatches
    Remove empty patches when decomposing the geometry.

-force
    Remove any existing processor subdirectories before decomposing the geometry.

-ifRequired
    Only decompose the geometry if the number of domains has changed from a previous decomposition. No processor subdirectories will be removed unless the @a -force option is also specified. This option can be used to avoid redundant geometry decomposition (eg, in scripts), but should be used with caution when the underlying (serial) geometry or the decomposition method etc. have been changed between decompositions.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.